import { z } from 'zod';
import { EntitySchema } from '@isa/common/data-access';

export const TenantSchema = EntitySchema.extend({
  name: z.string().describe('Name').optional(),
  key: z.string().describe('Key').optional(),
});

export type Tenant = z.infer<typeof TenantSchema>;
